FROM openjdk:8-jre
WORKDIR /opt/cluster
RUN echo "deb http://mirror.nju.edu.cn/debian/ bullseye main contrib non-free" > /etc/apt/sources.list && \
    echo "deb http://mirror.nju.edu.cn/debian/ bullseye-updates main contrib non-free" >> /etc/apt/sources.list && \
    echo "deb http://mirror.nju.edu.cn/debian/ bullseye-backports main contrib non-free" >> /etc/apt/sources.list && \
    echo "deb http://mirror.nju.edu.cn/debian-security bullseye-security main contrib non-free" >> /etc/apt/sources.list && \
    apt update && apt install -y krb5-user && mkdir conf && \
    curl -fL http://mirror.nju.edu.cn/apache/hadoop/common/hadoop-3.2.3/hadoop-3.2.3.tar.gz -o hadoop.tar.gz && \
    tar -xf hadoop.tar.gz && mv hadoop-3.2.3 hadoop && rm hadoop.tar.gz && \
    curl -fL http://mirror.nju.edu.cn/apache/spark/spark-3.0.3/spark-3.0.3-bin-hadoop3.2.tgz -o spark.tgz && \
    tar -xf spark.tgz && mv spark-3.0.3-bin-hadoop3.2 spark && rm spark.tgz
ENV HADOOP_HOME=/opt/cluster/hadoop
ENV HADOOP_CONF_DIR=/opt/cluster/conf
ENV SPARK_HOME=/opt/cluster/spark
ENV SPARK_CONF_DIR=/opt/cluster/conf
